Nadat u een lagere versie dan vRealize Automation 7.3 hebt geüpgraded of gemigreerd, is het belangrijk dat u de volgende overwegingen begrijpt en de nodige maatregelen kunt nemen.

Deze informatie geldt voor endpoints die zijn geüpgraded of gemigreerd naar deze versie van vRealize Automation.

  • Wanneer u een upgrade uitvoert of migreert van een versie van vRealize Automation vóór 7.3, wordt elk vCloud Air-, vCloud Director- en Amazon-endpoint dat proxyinstellingen bevat geassocieerd met een nieuw proxyendpoint dat de proxyinstellingen bevat.

    Na de upgrade of migratie is de nieuwe naam van het proxyendpoint Proxy_YYYYY, waarbij YYYYY door middel van een formule wordt berekend op basis van de URL, poort- en verificatiegegevens. Als u dezelfde proxyinstellingen (bijvoorbeeld dezelfde URL, poort en verificatiegegevens) hebt gebruikt voor een ander endpoint (bijvoorbeeld een vCloud Air- of Amazon-endpoint), is er na de upgrade of migratie nog slechts één proxyendpoint en een associatie tussen het vCloud Air- en Amazon-endpoint en het nieuwe proxyendpoint. Een proxyendpoint kan worden geassocieerd met meer dan één Amazon-, vCloud Air- of vCloud Director-endpoint.

  • Wanneer u een upgrade uitvoert of migreert van vSphere-endpoints die NSX-beheerdersinstellingen bevatten, wordt elk vSphere-endpoint geassocieerd met een nieuw NSX-endpoint dat de NSX-beheerdersinstellingen bevat.

    Na de upgrade of migratie is de naam van het NSX-endpoint NSX_XXXXX, waarbij XXXXX staat voor de naam van het bovenliggende vSphere-endpoint in de versie van vRealize Automation ouder dan 7.3.

  • Wanneer de upgrade of migratie van vRealize Automation is voltooid, kan een infrastructuurbeheerder de namen van de nieuwe NSX- en proxyendpoints wijzigen.

  • De standaardbeveiligingsinstelling voor bijgewerkte of gemigreerde endpoints is om uitsluitend vertrouwde certificaten te accepteren.

  • Na de upgrade of migratie van een versie van vóór vRealize Automation 7.3, moet u als u niet-vertrouwde certificaten hebt gebruikt, de volgende stappen uitvoeren voor alle vSphere- en NSX-endpoints om certificaatvalidatie mogelijk te maken. Anders mislukken de endpointbewerkingen en zijn certificaatfouten het gevolg. Zie voor meer informatie de VMware Knowledge Base-artikelen Communicatie met endpoint is verbroken na de upgrade naar vRA 7.3 (2150230) op http://kb.vmware.com/kb/2150230 en Hoe u vCenter Server-rootcertificaten kunt downloaden en installeren om Web Browser-certificaatwaarschuwingen te vermijden (2108294) op http://kb.vmware.com/kb/2108294.

    1. Meld u na de upgrade of migratie aan bij de vRealize Automation vSphere-agentmachine en start uw vSphere-agenten opnieuw op. U doet dit op het tabblad Services.

      Bij een migratie worden mogelijk niet alle agenten opnieuw opgestart. Start ze handmatig opnieuw op als dit nodig is.

    2. Wacht tot er minimaal één pingrapport is voltooid. Een pingrapport is na een of twee minuten voltooid.

    3. Meld u als IaaS-beheerder aan bij vRealize Automation wanneer de vSphere-agenten zijn begonnen met het verzamelen van gegevens.

    4. Klik op Infrastructuur > Endpoints > Endpoints.

    5. Bewerk een vSphere-endpoint en klik op Testverbinding.

    6. Als er een certificaatvraag wordt weergegeven, klikt u op OK om het certificaat te accepteren.

      Als er geen certificaatvraag wordt weergegeven, is het certificaat op dat moment mogelijk al juist opgeslagen in een vertrouwde hoofdautoriteit van de Windows-machine die als host van het endpoint fungeert, bijvoorbeeld als een proxyagentmachine of DEM-machine.

    7. Klik op OK om het certificaat te accepteren en het endpoint op te slaan.

    8. Herhaal deze procedure voor elk endpoint van vSphere.

    9. Herhaal deze procedure voor elk endpoint van NSX.

    Als de actie Testverbinding succesvol is maar bepaalde onderdelen van het verzamelen van gegevens of van de inrichting mislukken, kunt u hetzelfde certificaat installeren op alle agentmachines die het endpoint bedienen en op alle DEM-machines. Of verwijder het certificaat van bestaande machines en herhaal de vorige procedure voor het endpoint waar dit fout gaat.

  • De vRealize Automation REST API's waarmee programmatisch endpoints zijn gemaakt, bewerkt en verwijderd in vRealize Automation 7.2 en eerder, worden niet meer ondersteund in vRealize Automation 7.3 en later. Als u programmatisch endpoints wilt maken, bewerken en verwijderen in vRealize Automation 7.3 of later, moet u de nieuwe endpoint-configuratie-service-REST-API's voor vRealize Automation of vRealize CloudClient gebruiken.

  • Nadat u een upgrade hebt uitgevoerd of bent gemigreerd van een installatie van vóór vRealize Automation 7.3 en het verzamelen van gegevens mislukt voor OpenStack-endpoints, kunt u de aangepaste VMware.Endpoint.Openstack.IdentityProvider.Domain.Name-eigenschap toevoegen aan elk Keystone V3 OpenStack-endpoint om een geldige domeinnaam op te geven en het verzamelen van gegevens mogelijk te maken.

  • Wanneer u een upgrade uitvoert van een extern IPAM-endpoint zoals Infoblox IPAM, wordt het vRealize Orchestrator-pakket dat de RegisterIPAMEndpoint-werkstroom bevat bijgewerkt. Het kan nodig zijn de werkstroom in vRealize Orchestrator opnieuw uit te voeren nadat de vRealize Automation-upgrade is voltooid.

  • Als u verificatiegegevens voor meerdere endpoints wilt wijzigen, kunt u de endpoints afzonderlijk bewerken of vRealize CloudClient gebruiken om ze in een keer bij te werken.

  • Voor bepaalde endpointtypen, zoals vCloud Air en vCloud Director, kan niet rechtstreeks een upgrade of migratie van vRealize Automation 6.2.x worden uitgevoerd naar vRealize Automation 7.3 of hoger.

  • Als op de pagina Infrastructuur > Endpoints geen endpoints worden weergegeven of slechts bepaalde endpointtypen en endpoints worden weergegeven nadat u een upgrade of migratie naar vRealize Automation 7.3 hebt uitgevoerd, raadpleegt u Knowledge Base-artikel 2150252 voor een tijdelijke oplossing.